cgicc: cgicc::HTTPHeader Class Reference

# cgicc::HTTPHeader Class Reference

Abstract base class for all simple HTTP response headers. More...

`#include <cgicc/HTTPHeader.h>`

Inheritance diagram for cgicc::HTTPHeader:

List of all members.

## Public Member Functions
Constructors and Destructor
| HTTPHeader (const std::string &data)
| Constructor.
| HTTPHeader (const HTTPHeader &header)
| Copy constructor.
virtual | ~HTTPHeader ()
| Destructor.
Cookie Management
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader.
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header.
Accessor Method
std::string | getData () const
Subclass Methods
virtual void | render (std::ostream &out) const =0
| Write this HTTPHeader to a stream.

## Detailed Description

Abstract base class for all simple HTTP response headers.

Definition at line 52 of file HTTPHeader.h.

## Constructor & Destructor Documentation

cgicc::HTTPHeader::HTTPHeader | ( | const std::string & | data | ) |

Constructor.

Parameters:

  | data | The header data.

cgicc::HTTPHeader::HTTPHeader | ( | const HTTPHeader & | header | ) |

Copy constructor.

Parameters:

  | header | The HTTPHeader to copy.

## Member Function Documentation

HTTPHeader& cgicc::HTTPHeader::setCookie | ( | const HTTPCookie & | cookie | ) | `[inline]`

Set a cookie to go out with this HTTPResponseHeader.

Parameters:

  | cookie | The HTTPCookie to set

Definition at line 88 of file HTTPHeader.h.

const std::vector<HTTPCookie>& cgicc::HTTPHeader::getCookies | ( |  | ) | const`[inline]`

Get a list of all cookies associated with this header.

Returns:
  All the cookies associated with this header

Definition at line 96 of file HTTPHeader.h.

std::string cgicc::HTTPHeader::getData | ( |  | ) | const`[inline]`

Get the data contained in this HTTP header.

Returns:
  The data contained in this header.

Definition at line 110 of file HTTPHeader.h.

virtual void cgicc::HTTPHeader::render | ( | std::ostream & | out | ) | const`[pure virtual]`

Write this HTTPHeader to a stream.

Subclasses must implement this function.

Parameters:

  | out | The ostream to which to write.

Implements cgicc::MStreamable.

Implemented in cgicc::HTTPContentHeader, cgicc::HTTPRedirectHeader, and cgicc::HTTPStatusHeader.

The documentation for this class was generated from the following file:

- HTTPHeader.h